/* CSS RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* GGOOGLE FONTS */
body {
  font-family: 'Open Sans', sans-serif;
}

/* NAVIGATION BAR */
/* 1 rem = 16px(default font size) */
nav {
  padding: 0.8rem;
  margin-bottom: 2rem;
  border-bottom: 1px solid gray;
  list-style-type: none;
}

/* MARGIN VS PADDING */
/* margin is best used to create space between elements */
/* padding is best used when creating spacce between an elements border and it's content */
nav .nav, nav .nav-logo {
  /* creates space between the ul and the nav elements */
  margin: 0.5rem;
  /* changes elements to inline elements */
  display: inline;
}

#intro {
  /* creates space between the contents of the intro section and it's border */
  /* padding-left: 10%;
  padding-right: 10%;
  padding-top: 2rem;
  padding-bottom: 3rem; */
  padding: 2rem 10% 3rem;
  
  text-align: center;
}

.header {
  /* best used when horizontally aligning text instead of using margin and padding */
  text-align: center;
}

#intro h2, #intro p {
  /* creates space between the contents of the intro section */
  margin-bottom: 1rem;
}

#intro button {
  color: white;
  /* changes the thickness of text */
  font-weight: bold;
  background-color: #c2195b;
  border-radius: 25px;
  font-size: 1rem;
  /* creates space between the button text and the border */
  padding: 1rem;
}

/* succeed info section */
#succeed-info {
  padding-left: 10%;
  padding-right: 10%;
  padding-top: 2rem;
  padding-bottom: 3rem;
}

#succeed-info h2 {
/* creates space between the header and the card section */
  margin-bottom: 1rem;
}

#succeed-info h3 {
  text-align: center;
  /* creates between the h3 tag and the paragraph tag */
  margin-bottom: 1rem;
}

#succeed-info .card {
  /* allows the cards to appear beside each other */
  display: inline-block;
  /* aligns element with the tallest element in line */
  /* used with the 'inline-block' value */
  vertical-align: top;
  /* allows for cards to have equal height that adjust with the content */
  min-height: 175px;
  /* measurement is based on equally dividing the parent container's width */
  /* only use 30% and not 33.33% because of margin to avoid overflow and horizontal scrolling */
  width: 30%;
  /* creates horizontal spacing between cards */
  margin-left: 0.5rem;
  margin-right: 0.5rem;
}

#pre-footer {
  padding: 20px 10px;
  background-color: rgb(3, 3, 20);
}

.pre-footer-card {
  color: white;
}

#pre-footer .pre-footer-card {
  display: inline-block;
  vertical-align: top;
  min-height: 200px;
  width: 22%;
}

#pre-footer h3, #pre-footer p {
  padding: 2px 0;
}

#footer {
  padding: 1rem;
}